Subject: Unifying cape overlays into boot .dtb for BeagleBoard.org boards

From: [email-masked] (Vladimir Pantelic)
Date: Tue, 17 Jun 2014 15:45:59 +0200

On 06/17/2014 11:09 AM, Russell King - ARM Linux wrote:

> Here's the most obvious question in the world on this topic.  Are capes
> hot-pluggable?

"capes" as in Beaglebone capes might not be due to the mechanical 
constraints you listed.

"capes" as a concept of pluggable hardware might well be. here is a real 
world example of commercially available pluggable hardware add-ons on a 
Linux system back from 2008:

http://en.wikipedia.org/wiki/Archos_Generation_6#Accessories

depending on the add-on, different interfaces like GPIO, UART, USB, SPI 
using the same pins were used and there was no reboot needed to load a 
new hardware configuration or change the pinmux